Subject: Re: bug#44611: Prefix arg for xref-goto-xref

From: João Távora <[email-masked]>
Date: Sun, 13 Dec 2020 20:50:01 +0000

> There are too many commands that leave unwanted buffers.  For example,
> browsing the grep results, visiting the next file doesn't kill the previous
> visited file buffer, etc.  So better to clean up buffers afterwards,
> using e.g. project-kill-buffers.

Exactly.  This single patch goes against the grain of Emacs. Maybe
you're better off creating some "tidy-buffer-list-mode" that will try
to somehow guess which non-file and file-visiting-buffers are likely
temporary.  Maybe leverage view-mode or enhance it (I know very
little about view mode, but "view" ~= "peek").

João